diff --git a/doc/src/sgml/gin.sgml b/doc/src/sgml/gin.sgml
index 2d862669c3..6fee0280be 100644
--- a/doc/src/sgml/gin.sgml
+++ b/doc/src/sgml/gin.sgml
@@ -85,43 +85,57 @@
     </thead>
     <tbody>
      <row>
-      <entry><literal>array_ops</literal></entry>
-      <entry><type>anyarray</type></entry>
-      <entry>
-       <literal>&amp;&amp;</literal>
-       <literal>&lt;@</literal>
-       <literal>=</literal>
-       <literal>@&gt;</literal>
-      </entry>
+      <entry morerows="3"><literal>array_ops</literal></entry>
+      <entry morerows="3"><type>anyarray</type></entry>
+      <entry><literal>&amp;&amp;(anyarray,anyarray)</literal></entry>
      </row>
      <row>
-      <entry><literal>jsonb_ops</literal></entry>
-      <entry><type>jsonb</type></entry>
-      <entry>
-       <literal>?</literal>
-       <literal>?&amp;</literal>
-       <literal>?|</literal>
-       <literal>@&gt;</literal>
-       <literal>@?</literal>
-       <literal>@@</literal>
-      </entry>
+      <entry><literal>@&gt;(anyarray,anyarray)</literal></entry>
      </row>
      <row>
-      <entry><literal>jsonb_path_ops</literal></entry>
-      <entry><type>jsonb</type></entry>
-      <entry>
-       <literal>@&gt;</literal>
-       <literal>@?</literal>
-       <literal>@@</literal>
-      </entry>
+      <entry><literal>&lt;@(anyarray,anyarray)</literal></entry>
      </row>
      <row>
-      <entry><literal>tsvector_ops</literal></entry>
-      <entry><type>tsvector</type></entry>
-      <entry>
-       <literal>@@</literal>
-       <literal>@@@</literal>
-      </entry>
+      <entry><literal>=(anyarray,anyarray)</literal></entry>
+     </row>
+     <row>
+      <entry morerows="5"><literal>jsonb_ops</literal></entry>
+      <entry morerows="5"><type>jsonb</type></entry>
+      <entry><literal>@&gt;(jsonb,jsonb)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>@?(jsonb,jsonpath)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>@@(jsonb,jsonpath)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>?(jsonb,text)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>?|(jsonb,text[])</literal></entry>
+     </row>
+     <row>
+      <entry><literal>?&amp;(jsonb,text[])</literal></entry>
+     </row>
+     <row>
+      <entry morerows="2"><literal>jsonb_path_ops</literal></entry>
+      <entry morerows="2"><type>jsonb</type></entry>
+      <entry><literal>@&gt;(jsonb,jsonb)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>@?(jsonb,jsonpath)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>@@(jsonb,jsonpath)</literal></entry>
+     </row>
+     <row>
+      <entry morerows="1"><literal>tsvector_ops</literal></entry>
+      <entry morerows="1"><type>tsvector</type></entry>
+      <entry><literal>@@(tsvector,tsquery)</literal></entry>
+     </row>
+     <row>
+      <entry><literal>@@@(tsvector,tsquery)</literal></entry>
      </row>
     </tbody>
    </tgroup>
